HoverSetStatusMouseHandler (jEdit API Documentation)

Package org.gjt.sp.jedit.gui.statusbar

## Class HoverSetStatusMouseHandler

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - org.gjt.sp.jedit.gui.statusbar.HoverSetStatusMouseHandler

- All Implemented Interfaces:
    `java.awt.event.MouseListener`, `java.awt.event.MouseMotionListener`, `java.awt.event.MouseWheelListener`, `java.util.EventListener`

      public class HoverSetStatusMouseHandler
      extends java.awt.event.MouseAdapter

  Sets the status text to this action.mouse-over on hover.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HoverSetStatusMouseHandler​(java.lang.String action)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `mouseEntered​(java.awt.event.MouseEvent evt)` |
    `void` | `mouseExited​(java.awt.event.MouseEvent evt)` |
    `void` | `mouseReleased​(java.awt.event.MouseEvent evt)` |

    - ### Methods inherited from class java.awt.event.MouseAdapter

      `mouseClicked, mouseDragged, mouseMoved, mousePressed, mouseWheelMoved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HoverSetStatusMouseHandler

          public HoverSetStatusMouseHandler​(java.lang.String action)

  - ### Method Detail

    - #### mouseReleased

          public void mouseReleased​(java.awt.event.MouseEvent evt)

      Specified by:
        `mouseReleased` in interface `java.awt.event.MouseListener`
      Overrides:
        `mouseReleased` in class `java.awt.event.MouseAdapter`

    - #### mouseEntered

          public void mouseEntered​(java.awt.event.MouseEvent evt)

      Specified by:
        `mouseEntered` in interface `java.awt.event.MouseListener`
      Overrides:
        `mouseEntered` in class `java.awt.event.MouseAdapter`

    - #### mouseExited

          public void mouseExited​(java.awt.event.MouseEvent evt)

      Specified by:
        `mouseExited` in interface `java.awt.event.MouseListener`
      Overrides:
        `mouseExited` in class `java.awt.event.MouseAdapter`